import React, { useEffect } from 'react';
import './style.css';
import useLineIndex from './useLineIndex';
import useAutoScroll from './useScroll';
var LinesRender = function (_a) {
    var lines = _a.lines, currentTime = _a.currentTime, audioStatus = _a.audioStatus, style = _a.style;
    var index = useLineIndex(currentTime * 1000, audioStatus);
    useAutoScroll(index, lines);
    useEffect(function () {
        if (style != null) {
            var mainBackColor = style.mainBackColor, mainTextColor_1 = style.mainTextColor, mainHighlightColor_1 = style.mainHighlightColor, mainFontSize_1 = style.mainFontSize, mainFontFamily_1 = style.mainFontFamily, mainFontWeight_1 = style.mainFontWeight;
            var main = document.getElementById('lines');
            if (main) {
                if (mainBackColor) {
                    main.style.setProperty('--mainBackColor', mainBackColor);
                }
            }
            var lrcText = document.querySelectorAll('.sabahna-lrc');
            lrcText.forEach(function (item) {
                if (mainTextColor_1) {
                    item.style.setProperty('--mainTextColor', mainTextColor_1);
                }
                if (mainHighlightColor_1) {
                    item.style.setProperty('--mainHighlightColor', mainHighlightColor_1);
                }
                if (mainFontSize_1) {
                    item.style.setProperty('--mainFontSize', mainFontSize_1);
                }
                if (mainFontWeight_1) {
                    item.style.setProperty('--mainFontWeight', mainFontWeight_1);
                }
                if (mainFontFamily_1) {
                    item.style.setProperty('--mainFontFamily', mainFontFamily_1);
                }
            });
        }
    }, [style]);
    return (React.createElement("div", { id: 'lines' }, lines.map(function (item, index) {
        return (React.createElement("div", { key: index, className: 'outPop', dangerouslySetInnerHTML: {
                __html: item === null || item === void 0 ? void 0 : item.content,
            } }));
    })));
};
export default LinesRender;
//# sourceMappingURL=base.js.map